import request from "@/utils/request";

// 获得WMS 生产发料 主
export function getOutStock(id) {
    return request({
        url: "/rtkwms/out-stock/get?id=" + id,
        method: "get",
    });
}

// 获得WMS 生产发料 主分页--待发
export function getOutStockToSentPage(query) {
    return request({
        url: "/rtkwms/out-stock/toSendPage",
        method: "get",
        params: query,
    });
}
// 获得WMS 生产发料 主分页--已发
export function getOutStockHaveSendPage(query) {
    return request({
        url: "/rtkwms/out-stock/haveSendPage",
        method: "get",
        params: query,
    });
}
// 获得WMS 生产发料 主分页--已结束
export function getOutStockCompetePage(query) {
    return request({
        url: "/rtkwms/out-stock-detail/mainDetailSendRejectDetailPage",
        method: "get",
        params: query,
    });
}
// 待发--查看物料需求清单
export function getMaterialDetailPage(query) {
    return request({
        url: "/rtkwms/out-stock-detail/materialDetailPage",
        method: "get",
        params: query,
    });
}
// 待获得发料-部分和发料-全部
export function getToSendDetailPage(query) {
    return request({
        url: "/rtkwms/out-stock-detail/toSendDetailPage",
        method: "get",
        params: query,
    });
}
// 根据物料批次获取物料信息
export function getMaterialInfo(query) {
    return request({
        url: "/rtkwms/out-stock-detail/getMaterialInfo",
        method: "get",
        params: query,
    });
}
// 发料与查看(发料-部分与发料全部页面)
export function getOutStockDetailPage(query) {
    return request({
        url: "/rtkwms/out-stock-detail/outStockDetailPage",
        method: "get",
        params: query,
    });
}
// 发料与查看(发料-部分与发料全部页面)
export function getSendRejectDetailPage(query) {
    return request({
        url: "/rtkwms/out-stock-detail/sendRejectDetailPage",
        method: "get",
        params: query,
    });
}
// 发料明细-主分页
export function getOutStockPage(query) {
    return request({
        url: "/rtkwms/out-stock/outStockPage",
        method: "get",
        params: query,
    });
}
// 发料明细-物料明细
export function getOutStockMaterialDetailPage(query) {
    return request({
        url: "/rtkwms/out-stock-detail/outStockMaterialDetailPage",
        method: "get",
        params: query,
    });
}
// 发料完成
export function getCreateBatch(data) {
    return request({
        url: "/rtkwms/out-stock-detail/createBatch",
        method: "post",
        data: data,
    });
}
// 完成发料部分
export function updateCompetePart(data) {
    return request({
        url: "/rtkwms/out-stock/competePart",
        method: "put",
        data: data,
    });
}
// 完成发料全部
export function updateCompeteAll(data) {
    return request({
        url: "/rtkwms/out-stock/competeAll",
        method: "put",
        data: data,
    });
}
// 单据打印